#+---------------------------------------------------------------------+
#| Makefile                                                            |
#| make for upsmond, upsstat                                           |
#| (for use with GNU make)                                             |
#|                                                                     |
#| Author:  Bob Pill, NCIS                                             |
#|          bobp@newcorridor.com                                       |
#|                                                                     |
#| Created: Sept 15, 1997                                              |
#|                                                                     |
#| Copyright (c) 1997 New Corridor Information Services.               |
#| All rights reserved.                                                |
#|                                                                     |
#|                                                                     |
#| THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR        |
#| IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED      |
#| WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR          |
#| PURPOSE.                                                            |
#|                                                                     |
#|---------------------------------------------------------------------|
#|  ***Revision-History***  Begin-Log                                  |
#|     Initial creation - (started at ver 2.0.1) Sept 15, 1997 (BP)    |
#|     Version 2.1.0 update Jan 01, 1998 (BP)                          |
#|     Version 2.1.1 update Feb 03, 1998 (BP)                          |
#|     Version 2.1.2 update May 17, 1998 (BP)                          |
#|     Version 2.1.3 update Aug 04, 1998 (BP)                          |
#|  ***Revision-History***  End-Log                                    |
#+---------------------------------------------------------------------+



.SUFFIXES:        #clear list of suffixes
.SUFFIXES: .cc .o #rules for .c and .o

CC = gcc
CFLAGS_DEBUG = -O2 -Wall -DDEBUG -g
CFLAGS_NODEBUG = -O2 -Wall -g

ifdef DEBUG
CFLAGS = $(CFLAGS_DEBUG)
else
CFLAGS = $(CFLAGS_NODEBUG)
endif

UPSMOND_TARGET = upsmond
UPSSTAT_TARGET = upsstat

# suffix rule for cc compile
.cc.o:; $(CC) -c -o $@ $(CFLAGS) $<

# objects
UPSMOND_OBJS = main.o ups.o daemon.o csocket.o upsmonitor.o
UPSSTAT_OBJS = upsstat.o csocket.o

all: $(UPSMOND_TARGET) $(UPSSTAT_TARGET)

# make binaries
upsmond: $(UPSMOND_OBJS)
	$(CC) -o $(UPSMOND_TARGET) $(UPSMOND_OBJS)
	
upsstat: $(UPSSTAT_OBJS)
	$(CC) -o $(UPSSTAT_TARGET) $(UPSSTAT_OBJS)
	

# make objects
csocket.o: csocket.cc csocket.h
ups.o: ups.cc ups.h apcsmart.h
daemon.o: daemon.cc daemon.h
upsmonitor.o: upsmonitor.cc ups.h upsmonitor.h apcsmart.h
main.o: main.cc ups.h apcsmart.h daemon.h upsmonitor.h
upsstat.o: upsstat.cc upsmonitor.h csocket.h stddef.h

clean:
	rm *.o
	rm upsmond
	rm upsstat
